# Uses of Class
java.beans.beancontext.BeanContextSupport.BCSChild

Packages that use BeanContextSupport.BCSChild
Package
Description
java.beans.beancontext
Provides classes and interfaces relating to bean context.

- ## Uses of BeanContextSupport.BCSChild in java.beans.beancontext

  Subclasses of BeanContextSupport.BCSChild in java.beans.beancontext
  Modifier and Type
  Class
  Description
  `protected class`
  `BeanContextServicesSupport.BCSSChild`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A protected nested class containing per-child information in the `children` hashtable.
  Fields in java.beans.beancontext with type parameters of type BeanContextSupport.BCSChild
  Modifier and Type
  Field
  Description
  `protected HashMap<Object, BeanContextSupport.BCSChild>`
  BeanContextSupport.`children`
  Deprecated, for removal: This API element is subject to removal in a future version.
  all accesses to the `protected HashMap children` field shall be synchronized on that object.
  Methods in java.beans.beancontext that return BeanContextSupport.BCSChild
  Modifier and Type
  Method
  Description
  `protected BeanContextSupport.BCSChild`
  BeanContextServicesSupport.`createBCSChild(Object targetChild, Object peer)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Subclasses can override this method to insert their own subclass of Child without having to override add() or the other Collection methods that add children to the set.
  `protected BeanContextSupport.BCSChild`
  BeanContextSupport.`createBCSChild(Object targetChild, Object peer)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Subclasses can override this method to insert their own subclass of Child without having to override add() or the other Collection methods that add children to the set.
  Methods in java.beans.beancontext that return types with arguments of type BeanContextSupport.BCSChild
  Modifier and Type
  Method
  Description
  `protected Iterator<BeanContextSupport.BCSChild>`
  BeanContextSupport.`bcsChildren()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns an iterator of all children of this `BeanContext`.
  Methods in java.beans.beancontext with parameters of type BeanContextSupport.BCSChild
  Modifier and Type
  Method
  Description
  `protected void`
  BeanContextSupport.`childDeserializedHook(Object child, BeanContextSupport.BCSChild bcsc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Called by readObject with the newly deserialized child and BCSChild.
  `protected void`
  BeanContextSupport.`childJustAddedHook(Object child, BeanContextSupport.BCSChild bcsc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  subclasses may override this method to simply extend add() semantics after the child has been added and before the event notification has occurred.
  `protected void`
  BeanContextServicesSupport.`childJustRemovedHook(Object child, BeanContextSupport.BCSChild bcsc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  called from superclass child removal operations after a child has been successfully removed. called with child synchronized.
  `protected void`
  BeanContextSupport.`childJustRemovedHook(Object child, BeanContextSupport.BCSChild bcsc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  subclasses may override this method to simply extend remove() semantics after the child has been removed and before the event notification has occurred.